Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.datasets.base.DatasetAttributesCollection

class `mvpa2.datasets.base.``DatasetAttributesCollection`(items=None)

  Container for attributes of datasets (i.e. mappers, ...)

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`([deep, a, memo]) | Create a copy of a collection.
  `fromkeys`(...) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, ...) |
  `has_key`((k) -> True if D has a key k, else False) |
  `items`(() -> list of D’s (key, value) pairs, ...) |
  `iteritems`(() -> an iterator over the (key, ...) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(...) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, ...) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), ...) | 2-tuple; but raise KeyError if D is empty.
  `setdefault`((k[,d]) -> D.get(k,d), ...) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(...) |
  `viewkeys`(...) |
  `viewvalues`(...) |

  Parameters: | items : all types accepted by update()

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`([deep, a, memo]) | Create a copy of a collection.
  `fromkeys`(...) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, ...) |
  `has_key`((k) -> True if D has a key k, else False) |
  `items`(() -> list of D’s (key, value) pairs, ...) |
  `iteritems`(() -> an iterator over the (key, ...) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(...) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, ...) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), ...) | 2-tuple; but raise KeyError if D is empty.
  `setdefault`((k[,d]) -> D.get(k,d), ...) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(...) |
  `viewkeys`(...) |
  `viewvalues`(...) |

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »